CONF_modules_load_file(3)

NAME
 CONF_modules_load_file, CONF_modules_load - OpenSSL configuration functions

LIBRARY
libcrypto, -lcrypto

SYNOPSIS
 #include <openssl/conf.h>

 int CONF_modules_load_file(const char *filename, const char *appname,
                           unsigned long flags);
 int CONF_modules_load(const CONF *cnf, const char *appname,
                      unsigned long flags);

DESCRIPTION
The function CONF_modules_load_file() configures OpenSSL using file filename and application name appname. If filename is NULL the standard OpenSSL configuration file is used. If appname is NULL the standard OpenSSL application name openssl_conf is used. The behaviour can be cutomized using flags.

CONF_modules_load() is idential to CONF_modules_load_file() except it read configuration information from cnf.

NOTES
The following flags are currently recognized:

CONF_MFLAGS_IGNORE_ERRORS if set errors returned by individual configuration modules are ignored. If not set the first module error is considered fatal and no further modules are loads.

Normally any modules errors will add error information to the error queue. If CONF_MFLAGS_SILENT is set no error information is added.

If CONF_MFLAGS_NO_DSO is set configuration module loading from DSOs is disabled.

CONF_MFLAGS_IGNORE_MISSING_FILE if set will make CONF_load_modules_file() ignore missing configuration files. Normally a missing configuration file return an error.

RETURN VALUE
These functions return 1 for success and a zero or negative value for failure. If module errors are not ignored the return code will reflect the return value of the failing module (this will always be zero or negative).

SEE ALSO
conf(5), OPENSSL_config(3), "CONF_free(3), CONF_free(3)", openssl_err(3),openssl_err(3)

HISTORY
CONF_modules_load_file and CONF_modules_load first appeared in OpenSSL 0.9.7.